Bug 1420100 - Review Request: perl-Mail-Transport - Email message exchange code
Summary: Review Request: perl-Mail-Transport - Email message exchange code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1420099
Blocks: 1431128
TreeView+ depends on / blocked
 
Reported: 2017-02-07 19:59 UTC by Tom "spot" Callaway
Modified: 2017-06-09 19:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:23:45 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2017-02-07 19:59:02 UTC
Spec URL: https://spot.fedorapeople.org/perl-Mail-Transport.spec
SRPM URL: https://spot.fedorapeople.org/perl-Mail-Transport-3.000-1.fc26.src.rpm
Description: Email message exchange code, formerly part of the Mail::Box package.
Fedora Account System Username: spot

Note: This component used to be part of perl-Mail-Box, but was split off in 3.000.

Comment 1 Jitka Plesnikova 2017-02-20 14:26:33 UTC
I can't build the package from source due to conflict between perl-Mail-Message-3.000-3.fc26.noarch and perl-Mail-Box-2.120-2.fc26.noarch

https://koji.fedoraproject.org/koji/taskinfo?taskID=17969963

Comment 2 Jitka Plesnikova 2017-02-20 14:36:52 UTC
You should create sub-packages for following modules:
* Mail::Message         
* Mail::Transport
* Mail::Box::IMAP4
* Mail::Box::POP3
* Mail::Box::Dbx

before update to Mail-Box-3.001 to prevent these conflicts.

Comment 3 Tom "spot" Callaway 2017-02-20 16:47:37 UTC
perl-Mail-Box-2.120-3.fc26 has the subpackages split out.

Comment 4 Jitka Plesnikova 2017-02-21 09:14:40 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Mail-Transport-3.000-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(Carp)
      1 perl(Errno)
      1 perl(File::Spec)
      1 perl(Mail::Reporter)
      1 perl(Mail::Transport)
      1 perl(Mail::Transport::Send)
      1 perl(Net::SMTP)
      1 perl(base)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Please add run-requires
  - perl(IO::Lines) - Mail-Transport-3.000/lib/Mail/Transport/SMTP.pm:75

$ rpm -qp --provides perl-Mail-Transport-3.000-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Mail::Transport) = 3.000
      1 perl(Mail::Transport::Exim) = 3.000
      1 perl(Mail::Transport::Mailx) = 3.000
      1 perl(Mail::Transport::Qmail) = 3.000
      1 perl(Mail::Transport::Receive) = 3.000
      1 perl(Mail::Transport::SMTP) = 3.000
      1 perl(Mail::Transport::Send) = 3.000
      1 perl(Mail::Transport::Sendmail) = 3.000
      1 perl-Mail-Transport = 3.000-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Mail-Transport*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

BuildRequires
FIX: Please add following build-requires:
  - coreutils - because 'rm' is used in spec file
  - findutils - 'find' is used in spec file
  - make - is used in spec file
  - perl or %{__perl} - it is used in spec file
  - perl(base) - Mail-Transport-3.000/lib/Mail/Transport.pm:12
  - perl(IO::Handle) - Mail-Transport-3.000/Makefile.PL:5
  - perl(IO::Lines) - Mail-Transport-3.000/lib/Mail/Transport/SMTP.pm:75
  - perl(strict) - modules and tests
  - perl(Test::More) - tests
  - perl(vars) - modules
  - perl(warnings) - modules and tests

FIX: Please remove __requires_exclude of Mail::SpamAssassin, it is not needed.
TODO: It will be better placed %{?perl_default_filter} before %description.

If you want to add the package to EPEL, please ignore these two TODO
TODO: The easier way to remove .packlist is used NO_PACKLIST option,
      which is part of perl(ExtUtils::MakeMaker) >= 6.76. It can be
      used in all Fedoras. The command is
      %{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1

TODO: Remove the deleting empty directories in %install section. This is
      default behavior for Fedoras.


Please correct all 'FIX' issues and consider fixing 'TODO' items and
provide new spec file.

Not approved.

Comment 5 Jitka Plesnikova 2017-03-02 13:28:18 UTC
Any progress?

Comment 6 Tom "spot" Callaway 2017-03-11 01:29:14 UTC
Sorry. Been traveling.

All non-EPEL items fixed. 

New SRPM: https://spot.fedorapeople.org/perl-Mail-Transport-3.000-2.fc26.src.rpm
New SPEC: https://spot.fedorapeople.org/perl-Mail-Transport.spec

Comment 7 Jitka Plesnikova 2017-03-13 11:15:55 UTC
> FIX: Please add run-requires
>   - perl(IO::Lines) - Mail-Transport-3.000/lib/Mail/Transport/SMTP.pm:75
+Requires:	perl(IO::Lines)
Ok.
 
> FIX: Please add following build-requires:
>   - coreutils - because 'rm' is used in spec file
>   - findutils - 'find' is used in spec file
>   - make - is used in spec file
>   - perl or %{__perl} - it is used in spec file
>   - perl(base) - Mail-Transport-3.000/lib/Mail/Transport.pm:12
>   - perl(IO::Handle) - Mail-Transport-3.000/Makefile.PL:5
>   - perl(IO::Lines) - Mail-Transport-3.000/lib/Mail/Transport/SMTP.pm:75
>   - perl(strict) - modules and tests
>   - perl(Test::More) - tests
>   - perl(vars) - modules
>   - perl(warnings) - modules and tests
+BuildRequires:	perl
+BuildRequires:	perl(base)
+BuildRequires:	perl(IO::Handle)
+BuildRequires:	perl(IO::Lines)
+BuildRequires:	perl(strict)
+BuildRequires:	perl(Test::More)
+BuildRequires:	perl(vars)
+BuildRequires:	perl(warnings)
+BuildRequires:	coreutils
+BuildRequires:	findutils
+BuildRequires:	make
Ok.

> FIX: Please remove __requires_exclude of Mail::SpamAssassin, it is not
> needed.
-#%%global __requires_exclude %%{?__requires_exclude:%%__requires_exclude|}^perl\\(Mail::SpamAssassin[:\\)]
Ok.

> TODO: It will be better placed %{?perl_default_filter} before %description.
Ok.

TODO: Please replace PERL_INSTALL_ROOT with more common DESTDIR.

Please consider fixing 'TODO' item.

Otherwise package looks good.
Approved.

Comment 8 Gwyn Ciesla 2017-03-15 12:36:44 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Mail-Transport

Comment 9 Fedora Update System 2017-06-02 14:40:44 UTC
perl-Mail-Box-3.002-1.fc26 perl-Mail-Transport-3.000-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fda53d1ef7

Comment 10 Fedora Update System 2017-06-04 19:41:16 UTC
perl-Mail-Box-3.002-1.fc26, perl-Mail-Transport-3.000-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fda53d1ef7

Comment 11 Fedora Update System 2017-06-09 19:23:45 UTC
perl-Mail-Box-3.002-1.fc26, perl-Mail-Transport-3.000-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.